Summary:	Python bindings for the Memphis maps renderer
Name:		python-memphis
Version:	0.2.1
Release:	%mkrel 10
Source0:	pymemphis-mainline-master.tar.gz
Patch0:		python-memphis-0.2.1-automake-1.13.patch
License:	GPLv2+
Group:		Development/Python
Url:		http://gitorious.net/pymemphis
BuildRequires:	memphis-devel
BuildRequires:	python-gobject-devel
BuildRequires:	python-cairo-devel

%description
Libmemphis is a generic glib/cairo based OSM renderer library. It
draws maps on arbitrary cairo surfaces. PyMemphis provides Python
bindings for this library.

%package	devel
Summary:	Python bindings for the Memphis maps renderer
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}

%description devel
Libmemphis is a generic glib/cairo based OSM renderer library. It
draws maps on arbitrary cairo surfaces. PyMemphis provides Python
bindings for this library.

%prep
%setup -q -n pymemphis-mainline
%patch0 -p1 -b .automake113
./autogen.sh

%build
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc AUTHORS README
%{py_platsitedir}/memphis

%files devel
%{_datadir}/pymemphis
%{_libdir}/pkgconfig/pymemphis-0.2.pc


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.2.1-10.mga6
+ Revision: 958623
- Mageia 6 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.2.1-9.mga6
+ Revision: 935025
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-8.mga5
+ Revision: 748903
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.1-7.mga5
+ Revision: 729050
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-6.mga5
+ Revision: 688147
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-4.mga4
+ Revision: 521132
- Mageia 4 Mass Rebuild

* Wed Jan 16 2013 sander85 <sander85> 0.2.1-3.mga3
+ Revision: 388749
- Fix build with automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 pterjan <pterjan> 0.2.1-2.mga1
+ Revision: 35477
- imported package python-memphis


* Thu Nov 04 2010 Götz Waschk <waschk@mandriva.org> 0.2.1-2mdv2011.0
+ Revision: 593363
- rebuild for new python 2.7

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 565771
- import python-memphis


